package com.jidesoft.docking;

import javax.swing.Icon;
import javax.swing.JRootPane;

public class ExtendedDockableFrame extends DockableFrame {

    public ExtendedDockableFrame(String key, Icon frameIcon) {
        super(key, frameIcon);
    }

    /**
     * Make it to be accessible to pass key event from detached windows.
     */
    @Override
    protected JRootPane createRootPane() {
        var rootPane = new DockingRootPane();
        rootPane.setOpaque(true);
        return rootPane;
    }
}
